<html>
<head>
<title>Session Usage Timing</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<script language="C#" runat=server>
    void Page_Load(object sender, EventArgs e)
    {
        int iTemp;
        DateTime dStart;
        DateTime dEnd;
        string szTemp;
        Random rnd = new Random(DateTime.Now.Millisecond);

        dStart = DateTime.Now;
        for(int iCount = 1; iCount < 1000000;iCount++)
        {
            szTemp = rnd.Next(DateTime.Now.Millisecond).ToString();
            Session[iCount.ToString()] = szTemp;
        }
        dEnd = DateTime.Now;

        lblWriteStart.Text = dStart.ToString("T");
        lblWriteEnd.Text = dEnd.ToString("T");
        lblWriteElapsed.Text = dEnd.Subtract(dStart).ToString();

        dStart = DateTime.Now;
        for(int iCount = 1; iCount < 1000000;iCount++)
        {
            szTemp = rnd.Next(DateTime.Now.Millisecond).ToString();
            szTemp = (string) Session[iCount.ToString()];
        }
        dEnd = DateTime.Now;

        lblReadStart.Text = dStart.ToString("T");
        lblReadEnd.Text = dEnd.ToString("T");
        lblReadElapsed.Text = dEnd.Subtract(dStart).ToString();
    }   

</script>

</head>

<body bgcolor="#FFFFFF" text="#000000">
    <table border=1>
        <tr>
            <th>Operation</th>
            <th>Start</th>
            <th>End</th>
            <th>Elapsed</th>
        </tr>
        <tr>
            <td>Write</td>
            <td><asp:label id="lblWriteStart" runat=server /></td>
            <td><asp:label id="lblWriteEnd" runat=server /></td>
            <td><asp:label id="lblWriteElapsed" runat=server /></td>
        </tr>
        <tr>
            <td>Read</td>
            <td><asp:label id="lblReadStart" runat=server /></td>
            <td><asp:label id="lblReadEnd" runat=server /></td>
            <td><asp:label id="lblReadElapsed" runat=server /></td>
        </tr>
    </table>
</body>
</html>
