using System;
using System.Web;

namespace SimpleModules
{
	/// <summary>
	/// Summary description for RewritePath.
	/// <add type="SimpleModules.RewritePath, SimpleModules" name="RewritePath" />
	/// </summary>
	public class RewritePath : IHttpModule
	{
		private HttpApplication mApplication;

		public void Init(HttpApplication application)
		{
			// Save off the application
			mApplication = application;

			// Wire up the begin request
			mApplication.BeginRequest += new EventHandler(this.RewritePathHandler);
		}

		private void RewritePathHandler(object sender, EventArgs e)
		{
			mApplication.Context.RewritePath(mApplication.Request.ApplicationPath + "/webform1.aspx");
		}

		public void Dispose()
		{
		}
	}
}
